package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	// - 校准证书
	beego.Router("/Certificate/List", &controllers.CertificateController{}, "*:List") // 校准证书列表
	beego.Router("/Certificate/Get", &controllers.CertificateController{}, "*:Get")   // 获取最新校准证书
	beego.Router("/Certificate/Add", &controllers.CertificateController{}, "*:Add")   // 添加校准证书
	beego.Router("/Certificate/Edit", &controllers.CertificateController{}, "*:Edit") // 编辑校准证书
	beego.Router("/Certificate/Del", &controllers.CertificateController{}, "*:Del")   // 删除校准证书
	// - 校准证书pdf
	beego.Router("/Certificate/Pdf_List", &controllers.CertificateController{}, "*:Pdf_List") // 校准证书pdf列表
	beego.Router("/Certificate/Pdf_Add", &controllers.CertificateController{}, "*:Pdf_Add")   // 添加校准证书pdf
	beego.Router("/Certificate/Pdf_Up", &controllers.CertificateController{}, "*:Pdf_Up")     // 编辑校准证书pdf
	beego.Router("/Certificate/Pdf_Del", &controllers.CertificateController{}, "*:Pdf_Del")   // 删除校准证书pdf
}
